# Uses of Class
javafx.scene.chart.PieChart.Data

Packages that use PieChart.Data
Package
Description
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.

## Uses of PieChart.Data in javafx.scene.chart

Methods in javafx.scene.chart that return types with arguments of type PieChart.Data
Modifier and Type
Method
Description
`final ObjectProperty<ObservableList<PieChart.Data>>`
PieChart.`dataProperty()`
PieCharts data
`final ObservableList<PieChart.Data>`
PieChart.`getData()`
Gets the value of the `data` property.
Method parameters in javafx.scene.chart with type arguments of type PieChart.Data
Modifier and Type
Method
Description
`final void`
PieChart.`setData(ObservableList<PieChart.Data> value)`
Sets the value of the `data` property.
Constructor parameters in javafx.scene.chart with type arguments of type PieChart.Data
Modifier
Constructor
Description
``
`PieChart(ObservableList<PieChart.Data> data)`
Construct a new PieChart with the given data